Page MenuHomePhabricator

Plans: 2019 Week 11-15 Bonus Content
Closed, ResolvedPublic

Description

PHI1125 is hitting some issues with JIRA integration on a modern version of JIRA. (Noted on T5422.)

See https://phabricator.wikimedia.org/T185213. Two minor things:

  • Offsets (UTC+X vs UTC-X) might be inverted in the timezone dialog?
  • SettingsDate and TimeTimezone didn't pick up the 0:30 UI thing and still just shows UTC+X even for X:30 timezones.

PHI1127 has an instance rename request. We can likely ship instance renames in the next release.

PHI1105 would like a "View All" on dashboard tab panels. In some other cases (including recent cases in Build Plans), I'd like to look at putting a "More Results" element at the bottom of a query UI where a pager would otherwise go. Although including this kind of element isn't quite as pristine as omitting it, I think this is significantly more usable, and the distinction between "exactly 10 results" and "first 10 of 10+ results" is broadly not as clear as it could/should be in many interfaces.

See https://discourse.phabricator-community.org/t/image-uploads-for-forms-too-restricted-by-default/2594. The remarkup instructions blocks in custom forms aren't being marked properly as remarkup transactions.

PHI1175 would like a "JIRA Issue URIs" field in Herald.

See https://discourse.phabricator-community.org/t/call-to-undefined-method-getprofilemenu/ for a likely missed ProfileMenu callsite on the project background controller (?)

bin/search query --query <key> isn't working right (and maybe never did).

On Instances, the "name prefix" search is now somewhat obsolete given that instances can be renamed. It searches by instance internal name, but this may be unrelated to the display name.

This ain't right:

This ain't either:

PHI1166 requests we document all the project dependencies somewhere.

PHI1159 et al. would like Herald access to "This revision landed with ongoing or failed builds.", either to block commits or trigger audits.

Event Timeline

epriestley triaged this task as Normal priority.
epriestley updated the task description. (Show Details)Mar 9 2019, 6:50 PM
epriestley updated the task description. (Show Details)Mar 9 2019, 6:58 PM
epriestley updated the task description. (Show Details)Mar 9 2019, 7:12 PM
epriestley updated the task description. (Show Details)Mar 9 2019, 7:15 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Mar 9 2019, 8:34 PM
epriestley updated the task description. (Show Details)Mar 13 2019, 11:19 AM
epriestley updated the task description. (Show Details)Mar 16 2019, 7:34 PM
epriestley updated the task description. (Show Details)Mar 22 2019, 10:36 PM
pasik added a subscriber: pasik.Mar 24 2019, 9:23 PM
epriestley renamed this task from Plans: 2019 Week 11 Bonus Content to Plans: 2019 Week 11-13 Bonus Content.Mar 26 2019, 6:51 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Mar 27 2019, 6:03 PM
epriestley renamed this task from Plans: 2019 Week 11-13 Bonus Content to Plans: 2019 Week 11-15 Bonus Content.Apr 6 2019, 3:45 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Apr 6 2019, 4:50 PM
epriestley updated the task description. (Show Details)Apr 8 2019, 2:03 PM
epriestley updated the task description. (Show Details)Apr 9 2019, 9:16 PM
epriestley updated the task description. (Show Details)Apr 10 2019, 4:42 PM

bin/search query --query <key> isn't working right (and maybe never did).

This is just slightly misleading -- it only does fulltext queries using the fulltext engine. So it's working properly, it just doesn't do what I misremembered it as doing.

epriestley added a revision: Restricted Differential Revision.Apr 10 2019, 7:43 PM
epriestley updated the task description. (Show Details)Apr 10 2019, 8:34 PM
epriestley closed this task as Resolved.Thu, May 16, 9:35 PM
epriestley updated the task description. (Show Details)
epriestley added a commit: Restricted Diffusion Commit.Thu, May 23, 4:57 PM